/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2004-2011 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/********************************************************************************/
/*                                                                              */
/*                                  Pio (C++)                                   */
/*                                                                              */
/*                        Polyglot Input/Output Library                         */
/*                                                                              */
/*                      projet Estime, INRIA-Rocquencourt                       */
/*                                                                              */
/*  Copyright 2004-2011 INRIA.                                                  */
/*  Institut National de Recherche en Informatique et en Automatique.           */
/*  All rights reserved. This file is distributed only by permission.           */
/*                                                                              */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                                */
/*                                                                              */
/********************************************************************************/

/***********************************************************************/
/*                                                                     */
/*                              PIO (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2005-2007 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: error.cpp,v 1.3 2011-02-23 17:43:29 fclement Exp $ */

#include "error.hpp"


using namespace std;

namespace io{

  Error::Error():_values(0){}
  
  Error::Error(vector<Typed_value>& __values):_values(__values){}
  
  Error::Error(const Typed_value& _value):_values(1,_value){}

  Error::~Error(){}

  vector<Typed_value> & Error::values(){return _values;}

  void Error::add(const Typed_value& _value){
    _values.push_back(_value);
  }
  

}
