#ifndef PIO_BUFFER_INCLUDED
#define PIO_BUFFER_INCLUDED

#include <stdlib.h>

typedef struct {
  size_t buf_position;
  size_t buf_length;
  char *buf_fer;
} pio_buffer;

size_t ensure (pio_buffer *buf, size_t more); /* needed by pio_ibuff */

void buf_create (pio_buffer *buf, size_t size);
void buf_add_char (pio_buffer *buf, char c);
void buf_add_string_w_len (pio_buffer *buf, char *s, size_t len);
void buf_add_string (pio_buffer *buf, char *s);
void buf_printf (pio_buffer *buf, char *format, ...);
struct string buf_contents (pio_buffer *buf);

#endif
